TTTT Analysis 0.1

Public Member Functions | Private Member Functions | Private Attributes | List of all members
fv::root::Vector< T > Class Template Reference
Inheritance diagram for fv::root::Vector< T >:
[legend]
Collaboration diagram for fv::root::Vector< T >:
[legend]

## Public Member Functions
| Vector (const std::string &name, std::vector< T > *container, Value< T > *value)
| Vector (const std::string &name, Value< T > *value)
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< std::vector< T > >
| Container (const std::string &name, std::vector< T > *container)
virtual std::vector< T > * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Private Member Functions
void | _fill ()

## Private Attributes
Value< T > * | value

## Additional Inherited Members
Protected Attributes inherited from fv::Container< std::vector< T > >
std::vector< T > * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp